`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA03) - 5. labor                                   *
//*                                                                            *
//* 2. feladat: LED villogtat llapotgp.                                     *
//******************************************************************************
module lab05_2(
   input  wire       clk,
   input  wire       rstbt,
   input  wire [0:0] bt,
   output wire [7:0] ld,
   output wire [7:0] seg_n,
   output wire [3:0] dig_n,
   output wire [4:0] col_n
);

//A LED villogtat llapotgp pldnyostsa.
wire       ld_en;
wire [2:0] state;

led_blink led_blink_i(
   .clk(clk),
   .rst(rstbt),
   .start(bt[0]),
   .ld_en(ld_en),
   .state_out(state)
);

//A LED-ek vezrlse.
assign ld = (ld_en) ? 8'hff : 8'h00;

//Htszegmenses dekder a 0-7 szmjegyekre.
reg [6:0] dec_out;

always @(*)
begin
   case (state)
      3'h1   : dec_out <= 7'b0000110;
      3'h2   : dec_out <= 7'b1011011;
      3'h3   : dec_out <= 7'b1001111;
      3'h4   : dec_out <= 7'b1100110;
      3'h5   : dec_out <= 7'b1101101;
      3'h6   : dec_out <= 7'b1111101;
      3'h7   : dec_out <= 7'b0000111;
      default: dec_out <= 7'b0111111;
   endcase
end

//A kijelzk meghajtsa.
assign seg_n[6:0] = ~dec_out;
assign seg_n[7]   = 1'b1;
assign dig_n      = 4'b1110;
assign col_n      = 5'b11111;


endmodule
